export class BaseEvent {
  /** @internal */

  immediatePropagationStopped = false;
  propagationStopped = false;
  constructor(interaction) {
    this._interaction = interaction;
  }
  preventDefault() {}

  /**
   * Don't call any other listeners (even on the current target)
   */
  stopPropagation() {
    this.propagationStopped = true;
  }

  /**
   * Don't call listeners on the remaining targets
   */
  stopImmediatePropagation() {
    this.immediatePropagationStopped = this.propagationStopped = true;
  }
}

// defined outside of class definition to avoid assignment of undefined during
// construction

// getters and setters defined here to support typescript 3.6 and below which
// don't support getter and setters in .d.ts files
Object.defineProperty(BaseEvent.prototype, 'interaction', {
  get() {
    return this._interaction._proxy;
  },
  set() {}
});
//# sourceMappingURL=BaseEvent.js.map